A4 Tech WOP-35 PS/2 Randomly I get double clicks when I do a single click.

Bug #365300 reported by RubenRebelo on 2009-04-22
400
This bug affects 84 people
Affects Status Importance Assigned to Milestone
xserver-xorg-input-evdev (Ubuntu)
Low
Unassigned

Bug Description

Binary package hint: xserver-xorg-input-mouse

Description: Ubuntu 9.04
Release: 9.04

apt-cache policy xserver-xorg-input-mouse
xserver-xorg-input-mouse:
  Instalado: 1:1.4.0-1
  Candidato: 1:1.4.0-1
  Tabela de Versão:
 *** 1:1.4.0-1 0
        500 http://archive.ubuntu.com jaunty/main Packages
        100 /var/lib/dpkg/status

What I expected was: Single Click.
What happens: Mouse double clicks.

This bug applies to the base operating system and all software installed on my system.

Randomly the mouse responds with two mouse clicks when I click only once. Witch turns my system unusable: I try to close a windows, and the system closes that windows, and the one below. I try to right click something and the system right clicks and executes one of the menu options.. Etc.. Etc...

When this problem happens during some time, then it disappears, then It comes back. The behaviour of the bug seems perfectly random to me. It is more frequent with the right button, than with the left one.

Plus, this isn't an hardware fault because it doesn't happen in other operating systems.

This is the 'xev' command output where you can see the erratic behaviour of the mouse. I single clicked two times, one of them was recorded by 'xev' as a single click, the second one was recorded as a double click.

MotionNotify event, serial 35, synthetic NO, window 0x4800001,
    root 0x13c, subw 0x0, time 14052941, (93,129), root:(767,180),
    state 0x10, is_hint 0, same_screen YES

ButtonPress event, serial 35, synthetic NO, window 0x4800001,
    root 0x13c, subw 0x0, time 14053879, (93,129), root:(767,180),
    state 0x10, button 3, same_screen YES

ButtonRelease event, serial 35, synthetic NO, window 0x4800001,
    root 0x13c, subw 0x0, time 14054031, (93,129), root:(767,180),
    state 0x410, button 3, same_screen YES

MotionNotify event, serial 35, synthetic NO, window 0x4800001,
    root 0x13c, subw 0x0, time 14058667, (94,129), root:(768,180),
    state 0x10, is_hint 0, same_screen YES

MotionNotify event, serial 35, synthetic NO, window 0x4800001,
    root 0x13c, subw 0x0, time 14058682, (95,129), root:(769,180),
    state 0x10, is_hint 0, same_screen YES

MotionNotify event, serial 35, synthetic NO, window 0x4800001,
    root 0x13c, subw 0x0, time 14058781, (96,129), root:(770,180),
    state 0x10, is_hint 0, same_screen YES

ButtonPress event, serial 35, synthetic NO, window 0x4800001,
    root 0x13c, subw 0x0, time 14059775, (96,129), root:(770,180),
    state 0x10, button 3, same_screen YES

ButtonRelease event, serial 35, synthetic NO, window 0x4800001,
    root 0x13c, subw 0x0, time 14059925, (96,129), root:(770,180),
    state 0x410, button 3, same_screen YES

ButtonPress event, serial 35, synthetic NO, window 0x4800001,
    root 0x13c, subw 0x0, time 14059937, (96,129), root:(770,180),
    state 0x10, button 3, same_screen YES

ButtonRelease event, serial 35, synthetic NO, window 0x4800001,
    root 0x13c, subw 0x0, time 14059950, (96,129), root:(770,180),
    state 0x410, button 3, same_screen YES

MotionNotify event, serial 35, synthetic NO, window 0x4800001,
    root 0x13c, subw 0x0, time 14061540, (96,128), root:(770,179),
    state 0x10, is_hint 0, same_screen YES

ProblemType: Bug
Architecture: amd64
DistroRelease: Ubuntu 9.04
NonfreeKernelModules: nvidia
Package: xserver-xorg-input-mouse 1:1.4.0-1
ProcEnviron:
 LANG=pt_PT.UTF-8
 SHELL=/bin/bash
ProcVersion: Linux version 2.6.28-11-generic (buildd@crested) (gcc version 4.3.3 (Ubuntu 4.3.3-5ubuntu4) ) #42-Ubuntu SMP Fri Apr 17 01:58:03 UTC 2009
SourcePackage: xserver-xorg-input-mouse
Uname: Linux 2.6.28-11-generic x86_64

RubenRebelo (mundano) wrote :
Hebert (hebert-bernardo) wrote :

I can confirm partially this odd behavior.

It happens (randomly) when I click on the right button.

It's very annoying.

Using Ubuntu 9.04 (AMD64)

 ATI/Radeon opensource video.

xserver-xorg-input-mouse:
  Instalado: 1:1.4.0-1
  Candidato: 1:1.4.0-1
  Tabela de versão:
 *** 1:1.4.0-1 0

RubenRebelo (mundano) wrote :

After some testing with "xev", I discovered this...

The problem seems to be how the system records the relese botton event. Because when this behavior is happening the system reacts like this:

When I press the button of the mouse, there is this event:

ButtonPress event, serial 35, synthetic NO, window 0x3e00001,
    root 0x13c, subw 0x0, time 5475266, (95,104), root:(101,157),
    state 0x10, button 3, same_screen YES

When I release the buttons of the mouse, this is what XEV records:

ButtonRelease event, serial 35, synthetic NO, window 0x3e00001,
    root 0x13c, subw 0x0, time 5476162, (95,104), root:(101,157),
    state 0x410, button 3, same_screen YES

ButtonPress event, serial 35, synthetic NO, window 0x3e00001,
    root 0x13c, subw 0x0, time 5476175, (95,104), root:(101,157),
    state 0x10, button 3, same_screen YES

ButtonRelease event, serial 35, synthetic NO, window 0x3e00001,
    root 0x13c, subw 0x0, time 5476188, (95,104), root:(101,157),
    state 0x410, button 3, same_screen YES

I'm assuming this is not an hardware problem because it doesn't happen on other operating systems, but I will try to make some tests with a different mouse to determine if this is a problem with my mouse, or a bug in Ubuntu.

RubenRebelo (mundano) wrote :

I just got tired of this and bought a new mouse... The problem just gone away.

But my old mouse, an A4 Tech WOP-35 PS/2, works fine in Windows. So I think this is some kind of incompatibility between my old mouse and Ubuntu 9.04.

Hebert (hebert-bernardo) wrote :

I tested my wireless 8-Button mouse: "Bus 003 Device 002: ID 09da:0119 A4 Tech Co., Ltd" on a DELL Inspiron 1525 (Windows VIsta)I right-clicked around many times, and it works flawlessly. It definitely isn't a hardware issue. This A4 Tech Mouse cannot do that anymore on Jaunty.

I'm using right now a wired mini-usb Kensington mouse: "Bus 004 Device 010: ID 047d:1031 Kensington" on my Desktop PC (my default Ubuntu 9.04 AMD64) and it works without a single glitch, like my A4 Tech mouse used to.

I can only assume, also, that this issue is software related. In fact, I would say that this bug started to appear on jaunty's last month of development.

Thanks for reading.

Hebert (hebert-bernardo) wrote :

So, We've found a pattern here.

My mouse and RubenRebelo's are from the same manufacturer, A4 Tech Co., LTd.

@RubenRebelo: I understand why you did just that. My problem is only occurring - randomly - with right-clicks and _only_ just that it's very, very annoying. Yours seems to be unbearable.

I own a A4 Tech RFKBS-26 wi-fi combo (mouse 8K Office) and I shall say it served my very well through the years and I just don't see any particular reason to spend some money with a new one.

http://news.driversdown.com/news/Hardware/200903/12-6870.html (A4 Tech mouse 8k Office)

I hope the Ubuntu X.org devs have a look on this issue ASAP.

Thanks For Reading.

Mediaklan (didli) wrote :

Same problem here as RubenRebelo. Single left-click act as double click since Intrepid upgrade to Jaunty.
But it is not the same mouse : i-rocks RF-7500A, a cordless optical mouse for notebooks
http://www.i-rocksusa.com/products/RF-7550A.html

1 comments hidden view all 107 comments
Eric Link (link-sandlion) wrote :

I have the same problem w/ my HP Mouse (clean jaunty install):

Bus 005 Device 002: ID 03f0:0b1d Hewlett-Packard

Eric Link (link-sandlion) wrote :

lsusb -v

Bus 005 Device 002: ID 03f0:0b1d Hewlett-Packard
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 1.10
  bDeviceClass 0 (Defined at Interface level)
  bDeviceSubClass 0
  bDeviceProtocol 0
  bMaxPacketSize0 8
  idVendor 0x03f0 Hewlett-Packard
  idProduct 0x0b1d
  bcdDevice 51.02
  iManufacturer 0
  iProduct 2
  iSerial 0
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 34
    bNumInterfaces 1
    bConfigurationValue 1
    iConfiguration 0
    bmAttributes 0xa0
      (Bus Powered)
      Remote Wakeup
    MaxPower 100mA
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 0
      bNumEndpoints 1
      bInterfaceClass 3 Human Interface Device
      bInterfaceSubClass 1 Boot Interface Subclass
      bInterfaceProtocol 2 Mouse
      iInterface 0
        HID Device Descriptor:
          bLength 9
          bDescriptorType 33
          bcdHID 1.00
          bCountryCode 0 Not supported
          bNumDescriptors 1
          bDescriptorType 34 Report
          wDescriptorLength 72
         Report Descriptors:
           ** UNAVAILABLE **
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x81 EP 1 IN
        bmAttributes 3
          Transfer Type Interrupt
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0008 1x 8 bytes
        bInterval 10
cannot read device status, Operation not permitted (1)

Marek (mmmkrol) wrote :

I'm using a Logitech G7 Laser Cordless Mouse.
I've had the same problem in 8.10
Now I did a clean install of 9.04 and my mouse was perfect for the first couple of days, but today it started doing the double-click thing again.
To make some observations - the double click seems to happen only when I'm moving the mouse during the click. If I make sure the mouse is still while clicking, the click is a click reliably.

Hebert (hebert-bernardo) wrote :

@Marek

For me it is a right-click issue

But I forgot to also mention that almost every time the mouse is in motion I can't get single clicks. It stars to actually execute the first action, for instance: on the nautilus right-click menu (create new folder in my case)

Hope the devs have a look on this.

Hebert (hebert-bernardo) wrote :

This is not a Ubuntu restricted issue. I had been playing with Fedora Rawhide and this issue is also present there.

Thomas Pilarski (thomas.pi) wrote :

I have the same same problem with a Logitech bluetooth mouse and a Logitech wireless mouse since Jaunty? A USB mouse works fine with Jaunty, but I could produce this bug with my synaptic mouse infrequently. There are not left button double-click problems in 8.04 and Fedora 10 on my system.

The right button double-click exists in Ubuntu 8.04 and Fedora 10 too, but I have recognised it only in Firefox, it can be another bug.

Another appearance of this bug is the loosing drag and drop action, intermittent stoping a selection operation or intermittent stoping a window movement.

Tacgnol (mokaim) wrote :

I'm having the same problem. I'll be typing something and all of a sudden my mouse randomly clicks something and screws me up. Hard to use google and type a paper when the mouse is click all over the place.

I'm using juanty AMD64. This only happens on ubuntu. When I had vista installed, I had no problem.

Hebert (hebert-bernardo) wrote :

This is a very annoying bug.

It isn't hardware malfunctioning, it is software related.

I give it another test. This time, running a real install of the latest fedora 11.

This issue is simple NOT PRESENT.

$ yum info xorg-x11-drv-mouse

Name : xorg-x11-drv-mouse
Arch : x86_64
Version : 1.4.0
Release : 2.fc11
Size : 56 k
Repo : installed
Summary : Xorg X11 mouse input driver
URL : http://www.x.org
License : MIT
Description: X.Org X11 mouse input driver.

THIS is a Ubuntu bug AFAIK.

Please devs have a closer look on this.

Can anyone running the latest Karmic updates confirm if this bug is still present?

Thanks for reading.

Thomas Pilarski (thomas.pi) wrote :

I have compiled the xorg-x11-drv-evdev-2.2.1-3.fc11 and tried instead of the xf86-input-evdev-2.1.1 ubuntu package. The double click behaviour is reduces, but still there. I was not able to reproduce the problem with my PS/2 wireless mouse any more, but it exists still with my bluetooth 1.1 mouse.

Thomas Pilarski (thomas.pi) wrote :

I am not sure, if it is related. I have the same problem with my keyboard from time to time. Switching between desktops with CTRL+F1 during heavy I/O, the last running program opens many help windows. Sometimes it stops only while pressing the F1 key again. It's like the key was never released. Mostly ubuntu opens nearby ~100 help windows and a hard shut-down is the only solution to use the computer again.

Thomas Pilarski (thomas.pi) wrote :

By changing the clocksource to jiffies, the problem disappears on my notebook with my bluetooth 1.1 mouse. With the default clocksource hpet the problem is permanent.
I am using 2.6.30 kernel from kernel.org with timer frequency 250Hz.

Hebert (hebert-bernardo) wrote :

We are heading to Karmic Alpha #3 and this bug is alive and kicking.

Please devs have a look on this issue.

AFAIK this is a Ubuntu Issue.

orzeh (orz3h) wrote :

Here also on two different computers on 8.10(intel) and on 9.04(Athlon),

droll (breakshot) wrote :

Same problem (random left button double-click on 64 bit OS.) Microsoft 5 button optical mouse. A bit frustrated as I would think that existing hardware compatibility with earlier OS releases would be maintained.

Hebert (hebert-bernardo) wrote :

I have something new to report:

With the latest updates on Karmic Koala, since Alpha 3, to me this issue improved a lot.

$ apt-cache policy xserver-xorg-input-evdev
xserver-xorg-input-evdev:
  Installed: 1:2.2.2-1ubuntu2
  Candidate: 1:2.2.2-1ubuntu2
  Version table:
 *** 1:2.2.2-1ubuntu2 0
        500 http://archive.ubuntu.com karmic/main Packages
        100 /var/lib/dpkg/status

But no means It's over.

I still get, from time to time, some double clicks. But is definitively less often.

I do, always get a left double-click, if I try to:

click the mouse left button with my finger positioned a little bit closer to the middle of the mouse. (my mouse button is long)

when I do a left click on gnome-terminal. i.e., trying to copy the apt-cache policy I've just posted above, sometimes it happens to open another gnome-terminal window.

I hope the devs have a look on this issue, before Karmic goes gold.

@droll

I suggest to you to try Karmic Alpha 4.

It should be out tomorrow, download the LIVE CD and give it shot.

Hebert (hebert-bernardo) wrote :

***ERRATA

On the text above, when do you read "left-click" you should think "right-click".

Sorry for the confusion.

Thought of the Day:

You should not post when you are falling asleep.

orzeh (orz3h) wrote :

Another, third, computer with Kubuntu have this problem configurations are:
1. x86_64 9.04 Ubuntu on AMD with Creative USB mouse
2. x86 8.04 Ubuntu on Intel with Logitech PS/2 mouse with PS/2 <-> USB cable
3. x86_64 9.04 Kubuntu on AMD (fresh install) Toshiba Laptop with unknown OEM mouse on USB and Trackpad

it drive me crazy! ;)

Running Karmic (alpha 4) - mine has been exhibiting this behaviour for a little while but I thought it was user error or timing issues, but it got MUCH worse today (probably in conjunction with the patch that Herbert mentioned above). The computer is pretty much unusable now. I'm lucky if I can type a sudo command AND my password before the cursor is hijacked by the left mouse button being "held down". The only way to regain control is to right click and open a new terminal tab (using the right mouse button on the menu, since the left button is only responsive to the ghost events).

To top it off, when I was trying to troubleshoot I found that VT1-6 don't work anymore, apparently, but that's a separate bug report.

cat /dev/input/mice and don't touch anything, and you will see the cursor in the terminal move back and forth as it receives ghostly click events.

Please tell me you guys have some idea what the problem is!

Ok, some help:

/dev/input$ sudo udevadm info --query=all --name=/dev/input/event3
P: /devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.0/input/input5/event3
N: input/event3
S: char/13:67
S: input/by-id/usb-Logitech_USB-PS_2_Optical_Mouse-event-mouse
S: input/by-path/pci-0000:00:1d.0-usb-0:2:1.0-event-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.0/input/input5/event3
E: MAJOR=13
E: MINOR=67
E: DEVNAME=/dev/input/event3
E: ID_VENDOR=Logitech
E: ID_VENDOR_ENC=Logitech
E: ID_VENDOR_ID=046d
E: ID_MODEL=USB-PS_2_Optical_Mouse
E: ID_MODEL_ENC=USB-PS\x2f2\x20Optical\x20Mouse
E: ID_MODEL_ID=c01b
E: ID_REVISION=1800
E: ID_SERIAL=Logitech_USB-PS_2_Optical_Mouse
E: ID_TYPE=hid
E: ID_BUS=usb
E: ID_USB_INTERFACES=:030102:
E: ID_USB_INTERFACE_NUM=00
E: ID_USB_DRIVER=usbhid
E: ID_CLASS=mouse
E: ID_PATH=pci-0000:00:1d.0-usb-0:2:1.0
E: DMI_VENDOR=Dell Computer Corporation
E: DEVLINKS=/dev/char/13:67 /dev/input/by-id/usb-Logitech_USB-PS_2_Optical_Mouse-event-mouse /dev/input/by-path/pci-0000:00:1d.0-usb-0:2:1.0-event-mouse

/dev/input$ sudo udevadm info --query=all --name=/dev/input/mouse1
P: /devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.0/input/input5/mouse1
N: input/mouse1
S: char/13:33
S: input/by-id/usb-Logitech_USB-PS_2_Optical_Mouse-mouse
S: input/by-path/pci-0000:00:1d.0-usb-0:2:1.0-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.0/input/input5/mouse1
E: MAJOR=13
E: MINOR=33
E: DEVNAME=/dev/input/mouse1
E: ID_VENDOR=Logitech
E: ID_VENDOR_ENC=Logitech
E: ID_VENDOR_ID=046d
E: ID_MODEL=USB-PS_2_Optical_Mouse
E: ID_MODEL_ENC=USB-PS\x2f2\x20Optical\x20Mouse
E: ID_MODEL_ID=c01b
E: ID_REVISION=1800
E: ID_SERIAL=Logitech_USB-PS_2_Optical_Mouse
E: ID_TYPE=hid
E: ID_BUS=usb
E: ID_USB_INTERFACES=:030102:
E: ID_USB_INTERFACE_NUM=00
E: ID_USB_DRIVER=usbhid
E: ID_CLASS=mouse
E: ID_PATH=pci-0000:00:1d.0-usb-0:2:1.0
E: DEVLINKS=/dev/char/13:33 /dev/input/by-id/usb-Logitech_USB-PS_2_Optical_Mouse-mouse /dev/input/by-path/pci-0000:00:1d.0-usb-0:2:1.0-mouse

/dev/input$ sudo rm event3

After removing the "event" version of the mouse device, the ghost clicks slowed dramatically for several minutes. Then they started to pick back up while I was typing this, so probably coincidence. :(

Hmm, mine might be hardware related (or quirk related) - plugging a different mouse in seems to have quelled the ghost events. I'll do further testing.

Thomas Pilarski (thomas.pi) wrote :

I want to correct my comment #17. The xorg-x11-drv-evdev-2.2.1-3.fc11 solves the problem completely. The is no double click behaviour with my ps/2 and my new wireless mouse. My bluetooth mouse has an double click defect.

Bryce Harrington (bryce) on 2009-09-02
tags: added: jaunty
kgeist (casteg) wrote :

It happens to me too, I'm planning now to check other Linux distros because Ubuntu makes my laptop unusable.

It started to emit random double clicks in Jaunty (my first Linux distro ever). I thought there was something with my mouse (USB + optic) so I got another USB mouse but the issue didn't dissapear.

Unfortunately, my laptop has no PS\2, so I couldn't check that out.

Then, I upgraded to Karmic Coala and it's still the same. What is the point of making new releases if everything I get is a couple of new themes and ubuntu-one but no bugs fixed? :(

And all this constant changes like xcong.org > HAL > deviceKit etc. are so confusing. I don't know how to fix this because ubuntuforums' threads get outdated with each release :(

reza davoudi (rd1381) wrote :

i have the same problem too
i have karmic 9.10 x64
and my mouse is a4tech

reza davoudi (rd1381) wrote :

what actually happens is this ( its reproducible on my ubuntu)

when somebody presses right click button ubuntu interpreted that as a right click and upon releasing it again another right click command is issued.
in windows or opensuse this is not the case. in those os ,right click command is issued at the release of button.

case study

1-minimize all windows to get to desktop window.
2-press right click (without releasing it)
3-select any of menu options that appears.
4 release right click button.

in windows my mouse does not show right click menu or issue action unless i release the right click button.i guess it has to do with windows having right click drag and ubuntu not having it.i mean in windows u can drag a file by press and holding right button of mouse but not in ubuntu.

Pelle (per-anders-andersson) wrote :

I have a A4 Tech WOP-35 and a WOP-35PU (the USB variant).
When i plug both mice in, the psaux one works OK but
the USB mouse has this strange sporadic double-click
behavior and other differences too.

I run the debian-squeeze distribution.

My keyboard was turned back to its sane behavior by:

Section "ServerFlags"
        Option "AllowEmptyInput" "no"
        Option "AutoAddDevices" "no"
EndSection

but the USB mouse i failed to get working properly.

Psy[H[] (vovik-wfa) wrote :

Confirming, that is very annoying, window menus in compiz are being clicked on right after they open.
According to xev, click of my A4 mouse is interpreted as having more events, than click of my logitech mouse.

Psy[H[] (vovik-wfa) wrote :

As far as I remember, other problems with interpretation of A4 mouse events were reported. Is it a global problem in driver for these mice?

orzeh (orz3h) wrote :

this is terrible! on lucid i still have same problem, usb mouse fatality 1010. Double clicks are everywhere when i single click
grrrrr...

Confirmed in Lucid.

This occured after I upgraded the OS version from Karmic. It returned when I installed the OS again from scratch. I had never experienced this issue in Karmic...

Mouse is a microsoft 5 button mouse. Oddly, when plugging in another microsoft mouse (three button), the problem resolves immediately. However, the moment I plug the 5 button mouse back in, this nasty little bug greets me with a rough slap in the face.

Prohto (carlos-fangmeier) wrote :

Hi I have a similar problem with my A4Tech X-710 mouse. On mouse click, xev show three different events: buttonpress, motionnotify and buttonrelease, this is interpreted by kde as a start drag event and cause abnormal response from some applications ( like the inability to sort list view in dolphin by clicking on the column header ). I verified that my touchpad send only the two expected buttons events resulting in a correct event handling by kde.

Same problem with my LX710 Cordless Desktop Laser using Ubuntu 10.10 64bit. I had the same issue using Ubuntu 10.10 32bit but the bug wasn't there when I was using version 9

Timo Aaltonen (tjaalton) on 2011-03-17
affects: xserver-xorg-input-mouse (Ubuntu) → xserver-xorg-input-evdev (Ubuntu)
Timo Aaltonen (tjaalton) on 2011-03-17
Changed in xserver-xorg-input-evdev (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Willem (withaar) wrote :

I have the same problem - I believe it stems from having multiple mouse configurations that may be active at the same time. I need multiple configurations since I switch to an external mouse when docking my laptop. For most people, ensuring there is only one pointer "InputClass" in xorg.conf.d should fix it.

27 comments hidden view all 107 comments
Thomas Pilarski (thomas.pi) wrote :

Did someone experience this problem on an non Logitech mouse?

I exchanged many Logitech mouse at my dealer because of this problem. The problem appears at the Performance MX after one month of usage, even under windows. After exchanging the mouse the problem disappears. My Anywhere MX mouse was exchanged after a year, after sending in to Logitech. Same with Logitech V270 Cordless. Logitech is just using cheap micro switches, which cause this problem. I even exchanged the micro switches in one mouse, which solved the problem.

Perhaps the windows driver has a software debouncing and the problem appears much later.

Joachim Jacob (joachim-jacob) wrote :

Logitech wireless USB mouse on 12.04. Single mouse click ~15% of the time registered as a double click. I repeat some of the words above: most irritating, and frustrating, bug that I've seen in some time.

Somebody, please provide a solution that avoids super-human clicks. Thanks...

Jose Riha (jose1711) wrote :

i have logitech m570 which has the same problem (approx. 1.5 yr since purchase) - there are several utils that mitigate the problem on windows, e. g. http://www.wincert.net/tips/hardware/2684-logitech-mouse-double-click-issues. it would be nice to have such thing for linux as well.

Ivar Forss (ivar-forss) wrote :

Almost same problem started on my system (ubuntu 12.04) about two weeks ago, hovever i think no mousepress is registred, only the mousepressrelease. Making it impossible to drag windows or levers...

New Ubunty (new-ubunty) wrote :

Same problem started on my system (ubuntu 12.04) few weeks ago (again). I used to have several different mice, one Logitec, and Logitec was definitively having issues with double-clicks. Now I'm using a generic (GearHead) wired USB mouse, and I started experiencing double-clicks again, randomly. I have a Ubuntu 12.04 64-bit, relatively new PC from System76. So is it Ubuntu or the mouse? Should I get (another) new mouse, I keep buying new mice every 2-3 months, and I'n not even using them that much.

Eduardo (vancouverislandgeek) wrote :

This behaviour only started to occour when I upgraded to Ubuntu 12.10 (I also switched to Cinnamon from Unity, so as not to use the new privacy invasive Amazon "features"). Other than that, same hardware and applications.

$ uname -srm
Linux 3.5.0-21-generic x86_64
$ cat /etc/issue
Ubuntu 12.10 \n \l
$ lsusb
Bus 003 Device 002: ID 0461:4d15 Primax Electronics, Ltd Dell Optical Mouse

The double clicking behaviour is making the OS unusable, for example, trying to delete an email in Thunderbird is often resulting in two emails being deleted.
Let me know what else I can do/provide to help resolve this issue.

Magnes (magnesus2) wrote :

Seems to be a hardware problem: "In the Logitech support forum, a Logitech support staff posted a solution that worked for me. You have to remove the battery and press the buttons for 30 seconds to remove static electricity: http://forums.logitech.com/t5/Mice-and-Pointing-Devices/Performance-MX-mouse-double-clicking/m-p/709722/highlight/true#M36353

Takes 1 minute, give it a try :)" - seems to work for me.

Alperen Elhan (alperenelhan) wrote :

@magnesus2 thanks. That worked for my performance mx.

colin hercus (8sli0) wrote :

I have Logitech Cordless mouse and this problem starts about 6 months after buying a new mouse, only fix I've found is to buy another Mouse. I take Mouse to shop, they test it on Windows and it's OK so no repair/replacement!! I really are up to 6 mice in 4 years and it's playing up again.

exactt (giesbert) wrote :

for me this bug only appears since the upgrade to 12.10 ...

Houdong Hu (vincehouhou) wrote :

Yes, just install 12.10, and get this error. It is really testing your patience

Nils Rückmann (nueckman) wrote :

Still broken in 13.04. using a "noname" mouse. lsusb shows "Pixart Imaging, Inc." as vendor. Problem occurs randomly, but sometimes really often (every third click).

kesten broughton (dathomir) wrote :

my guess is the lack of anti-bounce software cleaning the signal as others have suggested. Here's a fellow who cleaned the contact points with a cleaner. http://www.tomshardware.com/forum/59113-3-fixing-razer-naga-mouse-double-clicking-problem-walkthrough
others have adjusted the return spring.
I couldn't find the screws on my mouse, so i just swaped for another i had.

would be good to bug logitech or xorg to get the anti-bounce working. I'm on 13.10.

Nicolas Krzywinski (nsk7even) wrote :

I am on Ubuntu 12.04 LTS and suddenly encountering this problem, but only for the right mouse button. It is sporadic, sometimes more often, sometimes less. Really annoying if using easystroke as your system goes wild then with executing batches of arbitrary mouse gestures :D :D
Never thought of this possibly being a hardware issue - will test a different mouse, thx for that hint!

Nicolas Krzywinski (nsk7even) wrote :

After two work days I can confirm that it was a hardware issue! My replacement mouse works without supplemental clicks.

Yael (ya-ah) wrote :

I have the same issue in Ubuntu 13.04 on a Lenovo W530. I replaced my mouse 3 times already and each time I replace my mouse, it works fine for a couple of weeks, and then starts to misbehave and generate doubleclicks. In Windows, all of them work fine.

I wonder if people in this thread that said their problem got solved with a new mouse still think the problem was solved after using the new mouse for several weeks.

TEHEK (tehek) wrote :

Issue still manifests itself on both 12.04 and 13.04 and is REALLY annoying.

David Pérez (sanete) wrote :

I confirm this happens also in KUbuntu 13.04, but in 12.10 didn't use to happen.
On the other side, another computer with Kubuntu 13.04 works ok.
I'm using an old USB Logitech optical mouse.

David Pérez (sanete) wrote :

It's a Logitech, Inc. Optical Wheel Mouse

Fiepel (philippe-fiepel) wrote :

I have the same problem with a Logitech Performance MX mouse.

I am on Ubuntu 13.04 (uprgade from 12.10).
The mouse used to work on 12.10 and also worked on 13.04, then after a couple of upgrades this behavior appeared.

I also connected a Logitec Anywhere MX, and this does not seem to have the problem.

exactt (giesbert) wrote :

When I take a look at the German Amazon product reviews of the Logitech Performance MX this problem seems to be common and therefore probably is a hardware issue rather than an Ubuntu/Linux issue.

ThomasWG (twg) wrote :

OK, i ran the previous kernel 3.5.0.32.53 generic, and there is no problem with the mouse, not working or turning off like in the 3.8 Kernels or any of those KDEsudo errors either. So, this KDEsudo bug seems to be a bug in both of the 3.8.0.25.37 and 3.8.026.38 Kernels. The mouse bug is still there, so even in the 3.5 Kernel it exists. Only difference it does not turn off, like in the later kernels. But I can still work with it. It is a pain to get the double click to work, so I have just left in as a single click.

I tested a Debian wheezy version and funny thing is, there doesnt seem to have that problem. So what was changed in the Ubuntu version?

benibur (mail1-4) wrote :

I solved the problem by removing the electricity static (remove batterie, click on all the buttons during few seconds).

Download full text (4.7 KiB)

Yeah, I tried that. It worked...for a while. Then it stopped working. So I
just got a new mouse. It sucks that superhuman-fast double-clicks can't be
filtered out by the OS, but they can't apparently.

On Thu, Aug 29, 2013 at 5:15 PM, benibur <email address hidden> wrote:

> I solved the problem by removing the electricity static (remove
> batterie, click on all the buttons during few seconds).
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/365300
>
> Title:
> Randomly I get double clicks when I do a single click.
>
> Status in “xserver-xorg-input-evdev” package in Ubuntu:
> Confirmed
> Status in “xserver-xorg-input-evdev” package in Arch Linux:
> New
>
> Bug description:
> Binary package hint: xserver-xorg-input-mouse
>
> Description: Ubuntu 9.04
> Release: 9.04
>
> apt-cache policy xserver-xorg-input-mouse
> xserver-xorg-input-mouse:
> Instalado: 1:1.4.0-1
> Candidato: 1:1.4.0-1
> Tabela de Versão:
> *** 1:1.4.0-1 0
> 500 http://archive.ubuntu.com jaunty/main Packages
> 100 /var/lib/dpkg/status
>
>
> What I expected was: Single Click.
> What happens: Mouse double clicks.
>
>
> This bug applies to the base operating system and all software
> installed on my system.
>
> Randomly the mouse responds with two mouse clicks when I click only
> once. Witch turns my system unusable: I try to close a windows, and
> the system closes that windows, and the one below. I try to right
> click something and the system right clicks and executes one of the
> menu options.. Etc.. Etc...
>
> When this problem happens during some time, then it disappears, then
> It comes back. The behaviour of the bug seems perfectly random to me.
> It is more frequent with the right button, than with the left one.
>
> Plus, this isn't an hardware fault because it doesn't happen in other
> operating systems.
>
>
>
> This is the 'xev' command output where you can see the erratic behaviour
> of the mouse. I single clicked two times, one of them was recorded by 'xev'
> as a single click, the second one was recorded as a double click.
>
>
> MotionNotify event, serial 35, synthetic NO, window 0x4800001,
> root 0x13c, subw 0x0, time 14052941, (93,129), root:(767,180),
> state 0x10, is_hint 0, same_screen YES
>
> ButtonPress event, serial 35, synthetic NO, window 0x4800001,
> root 0x13c, subw 0x0, time 14053879, (93,129), root:(767,180),
> state 0x10, button 3, same_screen YES
>
> ButtonRelease event, serial 35, synthetic NO, window 0x4800001,
> root 0x13c, subw 0x0, time 14054031, (93,129), root:(767,180),
> state 0x410, button 3, same_screen YES
>
> MotionNotify event, serial 35, synthetic NO, window 0x4800001,
> root 0x13c, subw 0x0, time 14058667, (94,129), root:(768,180),
> state 0x10, is_hint 0, same_screen YES
>
> MotionNotify event, serial 35, synthetic NO, window 0x4800001,
> root 0x13c, subw 0x0, time 14058682, (95,129), root:(769,180),
> state 0x10, is_hint 0, same_screen YES
>
> MotionNotify event, serial 35, synthetic NO, window 0x4800001,
> ...

Read more...

I met with the same problem on my Ubuntu 13.04 laptop. I'd like to post a partial/possible solution here in case that someone want to try.

Here is the problem.
    Inside Google Chrome, sometimes when you right click (for only once) on a web page, it will behave like you double right clicked and as a result it navigate back. (`Back` is the first menu item on the context menu).

When does the problem occur.
    It happens that the problem does not occur with Ubuntu 13.04's built-in themes: Ambiance, Highconstrast, Radiance. When I installed and activated third-party themes like Uncomplicated, Flatsutdio, Mediterraneanlight, etc the problem does occur.

The possible cause of the problem.
    https://bugzilla.gnome.org/show_bug.cgi?id=591258

The solution.
    After hours search and research, I found why the built-in themes won't be affected. In these themes, a little padding is added to the top of menus. When you right click on the padding, it won't activate the first menu item. That's it. So we can add that to other theme by simply adding (or modifying) GtkMenu ::vertical-padding = 3 to <PathOfTheTheme>/gtk-2.0/gtkrc, under `style "default"` section. You could refer to /usr/share/themes/Ambiance/gtk-2.0/gtkrc.

Hope it helps.

vsespb (vsespb) wrote :

Started after fresh install of 12.04.3. Previously same mouse, same hardware was working fine in 10.04.
Reproducible even with xev | grep state
Happens not often, maybe 1-5% clicks.

vsespb (vsespb) wrote :

Is this bug reported to upstream? Can't find it here https://bugs.freedesktop.org

Paul Boven (p-boven) wrote :

My Logitech mouse (B110) has started to give me double instead of single clicks when using the left mouse button, and the problem has been getting worse for a few months. Webbrowsing became quite annoying, because every time you click 'back', the browser woudl go back two pages.
This seems mostly a hardware problem, although other OS-es might handle the situation a bit better.

My solution: I opened the mouse and put two small pieces of yellow Post-it note on top of the two switches for the mouse buttons, and closed the mouse again. The extra thickness ensures that the microswitche contacts move enough to prevent contact bounce. It now works 100% reliably again.

vsespb (vsespb) wrote :

Probable related problem (random mouse release, not registered with 'xev').

1. Steps to reproduce:

grab window border with mouse. try resize in up and down. don't release mouse button. repeat. repeat 10-20 times.

Expected results:
success

Actual results:
mouse button released, you can't do it 20 times.

2. Same happens if you try to scroll up-down with scrollbar. You can't do it 20 times.

3. xev

xev|grep state.

I made same movement with mouse, with pressed button. I don't see "button" event until I release the button. I can move mouse up-down 20 times or more. so xev does not show release events

4. It can be often (but not always) fixed it by plugging and unplugging another mouse (i.e. I plug and unplug different mouse, after that my primary mouse start working)

5. When it happens, it happens also in Ubuntu running in Virtual box (when host is Ubuntu)

also, I dont have xserver-xorg-input-mouse installed (ubuntu 12.04)

apt-cache policy xserver-xorg-input-mouse
xserver-xorg-input-mouse:
  Installed: (none)
  Candidate: 1:1.7.1-1build3
  Version table:
     1:1.7.1-1build3 0
        500 http://ru.archive.ubuntu.com/ubuntu/ precise/main amd64 Packages

propan0 (propan0) wrote :

To me this doesnt look like a hardware problem:

I have this issue on ubuntu 13.10, with one simple laser usb mouse (system76 gallago ultrapro). xserver-xorg-input-mouse: 1:1.7.2-3build1
I also suffer this problem on my main desktop, which was installed using ubuntu minimal. I use a different USB laser mouse, which works just fine on windows boot for gaming on this machine.

So I think this rules hardware problems out, two completely different systems with different mouses, both suffering the same problem...

... then of course it could be the case that BOTH mouses are failing simultaneously :X

propan0 (propan0) wrote :

If you can verify that the mouse is failing, you could try this: https://www.overclockers.com/forums/showthread.php?t=594646

no longer affects: xserver-xorg-input-evdev (Ubuntu)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

RubenRebelo, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p xserver-xorg-input-evdev REPLACE-WITH-BUG-NUMBER

Please note, given that the information from the prior release is already available, doing this on a release prior to the development one would not be helpful.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

affects: xserver-xorg-input-evdev (Arch Linux) → xserver-xorg-input-evdev (Ubuntu)
Changed in xserver-xorg-input-evdev (Ubuntu):
status: New → Incomplete
Changed in xserver-xorg-input-evdev (Ubuntu):
status: New → Confirmed
Changed in xserver-xorg-input-evdev (Ubuntu):
importance: Undecided → Low
summary: - Randomly I get double clicks when I do a single click.
+ A4 Tech WOP-35 PS/2 Randomly I get double clicks when I do a single
+ click.
OvermindDL1 (overminddl1) wrote :

It is still affecting me in 13.10. Seems to be nothing to clean the rapid clicks when releasing the mouse button on left, right, and center clicks in the very least.

OvermindDL1 (overminddl1) wrote :

For note, mine is a Razar Naga that seems to work fine elsewhere (Chromebook), but not on ubuntu.

OvermindDL1, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report by executing the following in a terminal:
ubuntu-bug xorg

Please ensure you have xdiagnose installed, and that you click the Yes button for attaching additional debugging information.

For more on this, please see the official Ubuntu documentation:
Ubuntu X.Org Team, Ubuntu Bug Control, and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report will delay your problem being addressed as quickly as possible.

Thank you for your understanding.

1 comments hidden view all 107 comments
mohammad (swing-team) wrote :

sorry this bug still exists :(

mohammad, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report by executing the following in a terminal:
ubuntu-bug xorg

Please ensure you have xdiagnose installed, and that you click the Yes button for attaching additional debugging information.

For more on this, please see the official Ubuntu documentation:
Ubuntu X.Org Team, Ubuntu Bug Control, and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report will delay your problem being addressed as quickly as possible.

Thank you for your understanding.

James Lownie (jlownie) wrote :

Christopher I've raised bug 1321079 and subscribed you to it as per your request to mohammed.

Displaying first 40 and last 40 comments. View all 107 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.